# Uses of Enum Class
javax.lang.model.util.Elements.DocCommentKind

Packages that use Elements.DocCommentKind
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

## Uses of Elements.DocCommentKind in com.sun.source.util

Methods in com.sun.source.util that return Elements.DocCommentKind
Modifier and Type
Method
Description
`abstract Elements.DocCommentKind`
DocTrees.`getDocCommentKind(TreePath path)`
Returns the style of the documentation comment associated with a tree node.

## Uses of Elements.DocCommentKind in javax.lang.model.util

Subclasses with type arguments of type Elements.DocCommentKind in javax.lang.model.util
Modifier and Type
Class
Description
`static enum`
`Elements.DocCommentKind`
The kind of documentation comment.
Methods in javax.lang.model.util that return Elements.DocCommentKind
Modifier and Type
Method
Description
`default Elements.DocCommentKind`
Elements.`getDocCommentKind(Element e)`
Returns the kind of the documentation comment for the given element, or `null` if there is no comment or the kind is not known.
`static Elements.DocCommentKind`
Elements.DocCommentKind.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Elements.DocCommentKind[]`
Elements.DocCommentKind.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.